Skip to main content
`Ctrl`+`K`

# `skopt.plots`.plot_gaussian_process

skopt.plots.plot_gaussian_process(res, ax=None, n_calls=-1, objective=None, n_points=1000, noise_level=0, show_legend=True, show_title=True, show_acq_func=False, show_next_point=False, show_observations=True, show_mu=True)

  Plots the optimization results and the gaussian process for 1-D objective functions.

  Parameters:
    res `OptimizeResult`

      The result for which to plot the gaussian process.

    ax `Axes`, optional

      The matplotlib axes on which to draw the plot, or `None` to create a new one.

    n_calls int, default: -1

      Can be used to evaluate the model at call `n_calls`.

    objective func, default: None

      Defines the true objective function. Must have one input parameter.

    n_points int, default: 1000

      Number of data points used to create the plots

    noise_level float, default: 0

      Sets the estimated noise level

    show_legend boolean, default: True

      When True, a legend is plotted.

    show_title boolean, default: True

      When True, a title containing the found minimum value is shown

    show_acq_func boolean, default: False

      When True, the acquisition function is plotted

    show_next_point boolean, default: False

      When True, the next evaluated point is plotted

    show_observations boolean, default: True

      When True, observations are plotted as dots.

    show_mu boolean, default: True

      When True, the predicted model is shown.

  Returns:
    ax `Axes`

      The matplotlib axes.